// To parse this JSON data, do
//
//     final logoImagesModel = logoImagesModelFromJson(jsonString);

import 'dart:convert';

LogoImagesModel logoImagesModelFromJson(String str) => LogoImagesModel.fromJson(json.decode(str));

String logoImagesModelToJson(LogoImagesModel data) => json.encode(data.toJson());

class LogoImagesModel {
    final List<Datum>? data;

    LogoImagesModel({
        this.data,
    });

    factory LogoImagesModel.fromJson(Map<String, dynamic> json) => LogoImagesModel(
        data: json["data"] == null ? [] : List<Datum>.from(json["data"]!.map((x) => Datum.fromJson(x))),
    );

    Map<String, dynamic> toJson() => {
        "data": data == null ? [] : List<dynamic>.from(data!.map((x) => x.toJson())),
    };
}

class Datum {
    final int? id;
    final String? key;
    final String? value;

    Datum({
        this.id,
        this.key,
        this.value,
    });

    factory Datum.fromJson(Map<String, dynamic> json) => Datum(
        id: json["id"],
        key: json["key"],
        value: json["value"],
    );

    Map<String, dynamic> toJson() => {
        "id": id,
        "key": key,
        "value": value,
    };
}
